# Uses of Interface
org.osgi.service.remoteserviceadmin.ExportRegistration

Packages that use ExportRegistration
Package
Description
org.eclipse.ecf.osgi.services.remoteserviceadmin
org.osgi.service.remoteserviceadmin
Remote Service Admin Package Version 1.1.

## Uses of ExportRegistration in org.eclipse.ecf.osgi.services.remoteserviceadmin

Classes in org.eclipse.ecf.osgi.services.remoteserviceadmin that implement ExportRegistration
Modifier and Type
Class
Description
`class`
`RemoteServiceAdmin.ExportRegistration`
Methods in org.eclipse.ecf.osgi.services.remoteserviceadmin that return types with arguments of type ExportRegistration
Modifier and Type
Method
Description
`Collection<ExportRegistration>`
RemoteServiceAdmin.`exportService(ServiceReference<?> serviceReference, Map<String,?> op)`
Constructor parameters in org.eclipse.ecf.osgi.services.remoteserviceadmin with type arguments of type ExportRegistration
Modifier
Constructor
Description
``
`RemoteServiceAdmin(Bundle clientBundle, Collection<ExportRegistration> exportedRegistrations, Collection<ImportRegistration> importedRegistrations)`

## Uses of ExportRegistration in org.osgi.service.remoteserviceadmin

Methods in org.osgi.service.remoteserviceadmin that return types with arguments of type ExportRegistration
Modifier and Type
Method
Description
`Collection<ExportRegistration>`
RemoteServiceAdmin.`exportService(ServiceReference<?> reference, Map<String,?> properties)`
Export a service to a given Endpoint.